    /*
     *  call-seq:
     *     analyzer.token_stream(field_name, input) -> token_stream
     *
     *  Create a new TokenStream to tokenize +input+. The TokenStream created may
     *  also depend on the +field_name+. Although this parameter is typically
     *  ignored.
     *
     *  field_name:: name of the field to be tokenized
     *  input::      data from the field to be tokenized
     */
    static VALUE
    frb_analyzer_token_stream(VALUE self, VALUE rfield, VALUE rstring)
    {
        /* NOTE: Any changes made to this method may also need to be applied to
         * frb_re_analyzer_token_stream */
        Analyzer *a;
        GET_A(a, self);

        StringValue(rstring);

        return get_rb_ts_from_a(a, rfield, rstring);
    }